<?php

namespace App\Services\Equipment;

use App\Models\Equipment\LineModel;

class LineService extends EquipmentService
{
    public function __construct()
    {
        parent::__construct(new LineModel());
        $this->addClassName('Line');
    }
    public function getFormFields(): array
    {
        return [
            "type",
            "title",
            "bandwith",
            "start_at",
            "end_at",
            "status",
        ];
    }
    public function getFilterFields(): array
    {
        return ["type", 'status',];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
    public function getIndexFields(): array
    {
        return ['type', 'title', 'bandwith', "start_at", "end_at", 'status'];
    }
}
